Bug 1796929 - [IPI baremetal]: provisioning networks should not be hardcoded
Summary: [IPI baremetal]: provisioning networks should not be hardcoded
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Stephen Benjamin
QA Contact: Raviv Bar-Tal
URL:
Whiteboard:
Depends On:
Blocks: 1796930
TreeView+ depends on / blocked
 
Reported: 2020-01-31 14:21 UTC by Stephen Benjamin
Modified: 2020-05-04 11:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1796930 (view as bug list)
Environment:
Last Closed: 2020-05-04 11:28:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-04 11:28:51 UTC

Description Stephen Benjamin 2020-01-31 14:21:23 UTC
The installer has hard-coded references to the 172.22.0.0/24 subnet, with only partial support for modifying the IPs associated with this.

These networks should be fully configurable including whether to turn of DHCP in the cluster or not.

Comment 2 Stephen Benjamin 2020-02-10 16:33:32 UTC
https://github.com/openshift/installer/pull/2931/files upstream has information about how to change the provisioning network.

For QE to verify this bug, I would set provisioningNetworkCIDR in the install-confg to some other value than the default (e.g. 172.23.0.0/16), and verify hosts use IP's in that network to be provisioned.

Comment 4 errata-xmlrpc 2020-05-04 11:28:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.